# synfig::Transform Class Reference

`#include <transform.h>`

Inherited by InsideOut_Trans, Rotate_Trans, Stretch_Trans, synfig::Spherize_Trans, Translate_Trans, Twirl_Trans, Warp_Trans, and Zoom_Trans.

List of all members.

## Public Types

typedef etl::handle< Transform > | Handle

## Public Member Functions

const GUID & | get_guid () const
virtual | ~Transform ()
virtual synfig::Vector | perform (const synfig::Vector &x) const =0
virtual synfig::Vector | unperform (const synfig::Vector &x) const =0
virtual synfig::Rect | perform (const synfig::Rect &x) const
virtual synfig::Rect | unperform (const synfig::Rect &x) const

## Protected Member Functions

| Transform (const GUID &guid)

## Member Typedef Documentation

typedef etl::handle<Transform> synfig::Transform::Handle

## Constructor & Destructor Documentation

synfig::Transform::Transform | ( | const GUID & | guid | ) | `[inline, protected]`

virtual synfig::Transform::~Transform | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

const GUID& synfig::Transform::get_guid | ( |  | ) | const`[inline]`

virtual synfig::Vector synfig::Transform::perform | ( | const synfig::Vector & | x | ) | const`[pure virtual]`

Referenced by perform().

virtual synfig::Vector synfig::Transform::unperform | ( | const synfig::Vector & | x | ) | const`[pure virtual]`

Referenced by unperform().

synfig::Rect Transform::perform | ( | const synfig::Rect & | x | ) | const`[virtual]`

References synfig::Rect::area(), synfig::Rect::full_plane(), synfig::Rect::get_max(), synfig::Rect::get_min(), and perform().

synfig::Rect Transform::unperform | ( | const synfig::Rect & | x | ) | const`[virtual]`

References synfig::Rect::area(), synfig::Rect::full_plane(), synfig::Rect::get_max(), synfig::Rect::get_min(), and unperform().

The documentation for this class was generated from the following files:

- transform.h
- transform.cpp